<?php
include '../conn.php';

$dgizi_normal=query('SELECT nama,gizi_normal FROM data ORDER BY gizi_normal DESC LIMIT 10');
foreach ($dgizi_normal as $row) {
    $data[]=([
        'name'=>$row['nama'],
        'y'=>intval($row['gizi_normal'])
    ]);
}
?>


    <div id="detail"></div>

<script>
    // Build the chart
    Highcharts.chart('detail', {
    chart: {
        plotBackgroundColor: null,
        plotBorderWidth: null,
        plotShadow: false,
        type: 'pie'
    },
    title: {
        text: 'Gizi Normal'
    },
    tooltip: {
        pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b><br>{point.y}'
    },
    accessibility: {
        point: {
            valueSuffix: '%'
        }
    },
    plotOptions: {
        pie: {
            allowPointSelect: true,
            cursor: 'pointer',
            dataLabels: {
                enabled: true,
                format: '<b>{point.name}</b>: {point.percentage:.1f} %'
            }
        }
    },
    series: [{
        name: 'Brands',
        colorByPoint: true,
        data: <?=json_encode($data)?>
    }]
});
</script>