<?php
include 'conn.php';
$jml_data_perhalaman=100;
$jml_halaman=ceil($pkh/$jml_data_perhalaman);

?>


<style>
  div.leaflet-popup-content{
    font-size: 9px;
  }
  div.dataTables_wrapper{
  font-size: 12px;
  }
  .halaman:hover{
    background-color: aliceblue;
}
</style>


<div class="container-xxl flex-grow-1 container-p-y">
  <div class="row">


    <div class="col-lg-8 mb-4 order-0 wow fadeInUp" data-wow-delay="0.1s" style="visibility: hidden; animation-delay: 0.1s; animation-name: none;">
      <div class="card" style="background: url(assets/img/icons/unicons/bgdasboard.png) ; background-size: cover">
        <div class="d-flex align-items-end row">
          <div class="col-sm-7">
            <div class="card-body" style="padding-top: 0px;">
              <div class="section-title section-title-sm position-relative pb-6 mt-4">
                <h3 class="card-title text-primary" style="font-weight: bold; ">KEPENDUDUKAN</h3>
              </div>
              <h5 class="mb-4" style="color: rgb(255, 255, 255); font-weight: bold; text-shadow: 30px 30px 30px 30px black !important;">
                Data Terpadu Kesejahteraan Sosial <br> Kabupaten Garut
              </h5>
            </div>
          </div>
          <div class="col-sm-5 text-center text-sm-left">
            <div class="card-body pb-0 px-0 px-md-4">
              <img src="assets/img/illustrations/man-with-laptop-light.png" height="140" alt="View Badge User" data-app-dark-img="illustrations/man-with-laptop-dark.png" data-app-light-img="illustrations/man-with-laptop-light.png" />
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-lg-4 col-md-4 order-1">
      <div class="row">
        <div class="col-lg-6 col-md-12 col-6 mb-4 wow fadeInUp" data-wow-delay="0.1s" style="visibility: hidden; animation-delay: 0.1s; animation-name: none;">
          <div class="card">
            <div class="card-body">
              <div class="card-title d-flex align-items-start justify-content-between">
                <div class="avatar flex-shrink-0">
                  <img src="assets/img/icons/unicons/icon_kemiskinan.png" alt="chart success" class="rounded" />
                </div>
                <div class="dropdown">
                  <button class="btn p-0" type="button" id="cardOpt3" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="bx bx-dots-vertical-rounded"></i>
                  </button>
                  <div class="dropdown-menu dropdown-menu-end" aria-labelledby="cardOpt3">
                    <a class="dropdown-item" href="javascript:void(0);">View More</a>
                    <a class="dropdown-item" href="javascript:void(0);">Delete</a>
                  </div>
                </div>
              </div>
              <span class="fw-semibold d-block mb-1">Jumlah DTKS</span>
              <h3 class="card-title mb-2"><?=number_format($jml_dtks) ?></h3>
            </div>
          </div>
        </div>
        <div class="col-lg-6 col-md-12 col-6 mb-4 wow fadeInUp" data-wow-delay="0.1s" style="visibility: hidden; animation-delay: 0.1s; animation-name: none;">
          <div class="card">
            <div class="card-body">
              <div class="card-title d-flex align-items-start justify-content-between">
                <div class="avatar flex-shrink-0">
                  <img src="assets/img/icons/unicons/icon_kemiskinan.png" alt="Credit Card" class="rounded" />
                </div>
                <div class="dropdown">
                  <button class="btn p-0" type="button" id="cardOpt6" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="bx bx-dots-vertical-rounded"></i>
                  </button>
                  <div class="dropdown-menu dropdown-menu-end" aria-labelledby="cardOpt6">
                    <a class="dropdown-item" href="javascript:void(0);">View More</a>
                    <a class="dropdown-item" href="javascript:void(0);">Delete</a>
                  </div>
                </div>
              </div>
              <span class="fw-semibold d-block mb-1">Non Bantuan</span>
              <h3 class="card-title text-nowrap mb-1"><?=number_format($jml_penerima) ?></h3>
            </div>
          </div>
        </div>
      </div>
    </div>

    <div class="col-12 col-lg-8 order-2 order-md-3 order-lg-2 mb-4">
      <div class="card">
        <div class="row row-bordered g-0">
          <div class="col-md-12">
            <!-- <div class="card-header">
              <h3 class="card-title">Grafik</h3>
            </div> -->
            <div class="card-body" style="min-height:600px ;">
              <select name="" id="hpkh" class="form form-select form-select-sm mb-2 float-end" style="width:100px ;">
              <?php for ($i=1; $i <=$jml_halaman ; $i++) :?>
                <option value="<?= $i ?>">
                    <?= $jml_data_perhalaman * $i - $jml_data_perhalaman + 1 ?>-<?=($i==$jml_halaman)?$pkh:$jml_data_perhalaman * $i; ?>
                  </option>
                <?php endfor;?>
              </select>
              <div id="tpkh">
              
              </div>
              
            </div>
          </div>

        </div>
      </div>
    </div>

    <div class="col-12 col-md-8 col-lg-4 order-3 order-md-2">
      <div class="row">
        <div class="col-6 mb-4 wow fadeInUp" data-wow-delay="0.1s" style="visibility: hidden; animation-delay: 0.1s; animation-name: none;">
          <div class="card halaman" onclick="subhalaman('bpnt')" style="cursor:pointer;">
            <div class="card-body">
              <span class="fw-semibold d-block mb-1">BPNT
                <hr>
              </span>
              <h3 class="card-title mb-2 text-danger"><?=number_format($bpnt)?></h3>
              <small class="fw-semibold"> Jumlah Bansos </small>
            </div>
          </div>
        </div>
        <div class="col-6 mb-4 wow fadeInUp" data-wow-delay="0.1s" style="visibility: hidden; animation-delay: 0.1s; animation-name: none;">
          <div class="card bg-info" onclick="subhalaman('pkh')" style="cursor:pointer;">
            <div class="card-body">
              <span class="fw-semibold d-block mb-1">PKH
                <hr>
              </span>
              <h3 class="card-title mb-2 text-danger"><?=number_format($pkh) ?></h3>
              <small class="fw-semibold"> Jumlah Bansos </small>
            </div>
          </div>
        </div>
        <div class="col-6 mb-4 wow fadeInUp" data-wow-delay="0.1s" style="visibility: hidden; animation-delay: 0.1s; animation-name: none;">
          <div class="card halaman" onclick="subhalaman('ppkm')" style="cursor:pointer;">
            <div class="card-body">
              <span class="fw-semibold d-block mb-1">PPKM
                <hr>
              </span>
              <h3 class="card-title mb-2 text-danger"><?= number_format($ppkm) ?></h3>
              <small class="fw-semibold"> Jumlah Bansos </small>
            </div>
          </div>
        </div>
        <div class="col-6 mb-4 wow fadeInUp" data-wow-delay="0.1s" style="visibility: hidden; animation-delay: 0.1s; animation-name: none;">
          <div class="card halaman" onclick="subhalaman('jkn')" style="cursor:pointer;">
            <div class="card-body">
              <span class="fw-semibold d-block mb-1">JKN
                <hr>
              </span>
              <h3 class="card-title mb-2 text-danger"><?= number_format($jkn) ?></h3>
              <small class="fw-semibold"> Jumlah Bansos </small>
            </div>
          </div>
        </div>
      </div>

    </div>

  </div>
</div>



<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-sm">
    <div class="modal-content" id="mgambar">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
      <div class="modal-body text-center" >
        ...
      </div>
    </div>
  </div>
</div>
<script>


  function subhalaman(e) {
    $.ajax({
            'url': `${e}.php`
        }).done(sukses => {
            $('#content').html(sukses)
        })
  }

  function gambar(e){
    $('#mgambar').html(`<img src="${e}" alt="">`);
  }

  $('#hpkh').on('change',function(){
    alert($('#hpkh').val());
    $.ajax({
            'url': `table/tpkh.php?halaman=${$('#hpkh').val()}`
        }).done(sukses => {
            $('#tpkh').html(sukses)
        })
  })

    $.ajax({
            'url': `table/tpkh.php`
        }).done(sukses => {
            $('#tpkh').html(sukses)
        })
</script>