<?php
include '../conn.php';

?>
<div class="mdl-grid portfolio-max-width" style="min-height:500px;">
    <div class="mdl-cell mdl-cell--12-col mdl-card mdl-shadow--4dp">
        <figure class="highcharts-figure">
        <select name="" id="bb" style="float:right;">
            <option value="berat">all</option>
            <option value="sangatkurang">Sangat Kurang</option>
            <option value="kurang">Kurang</option>
            <option value="normal">Normal</option>
            <option value="resikolebih">Resiko Lebih</option>
        </select><br>
            <div id="container"></div>
            <p class="highcharts-description">
                This pie chart shows how the chart legend can be used to provide
                information about the individual slices.
            </p>
        </figure>
    </div>
</div>


<script>

$('#bb').on('change',function(){
        var data=$('#bb').val();
        $.ajax({
                'url': `berat/${data}.php`
            }).done(sukses => {
                $('#container').html(sukses);
            })
    })

    // Build the chart
    Highcharts.chart('container', {
        chart: {
            plotBackgroundColor: null,
            plotBorderWidth: null,
            plotShadow: false,
            type: 'pie'
        },
        title: {
            text: 'Berat Badan'
        },
        tooltip: {
            pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b><br>Value: <b>{point.y}</b>'
        },
        accessibility: {
            point: {
                valueSuffix: '%'
            }
        },
        plotOptions: {
            pie: {
                allowPointSelect: true,
                cursor: 'pointer',
                dataLabels: {
                    enabled: false
                },
                showInLegend: true
            }
        },
        series: [{
            name: 'Brands',
            colorByPoint: true,
            data: [{
                name: 'Sangat Kurang',
                y: <?= $bb_sangat_kurang ?>,
                sliced: true,
                selected: true
            }, {
                name: 'Kurang',
                y: <?= $bb_kurang ?>
            }, {
                name: 'Normal',
                y: <?= $bb_normal ?>
            }, {
                name: 'Resiko Lebih',
                y: <?= $bb_resiko_lebih ?>
            }]
        }]
    });
</script>