<?php
include '../conn.php';

$dbb_resiko_lebih=query('SELECT nama,bb_resiko_lebih FROM data ORDER BY bb_resiko_lebih DESC LIMIT 10');
foreach ($dbb_resiko_lebih as $row) {
    $data[]=([
        'name'=>$row['nama'],
        'y'=>intval($row['bb_resiko_lebih'])
    ]);
}
?>


    <div id="detail"></div>

<script>
    // Build the chart
    Highcharts.chart('detail', {
    chart: {
        plotBackgroundColor: null,
        plotBorderWidth: null,
        plotShadow: false,
        type: 'pie'
    },
    title: {
        text: 'Berat Badan Resiko Lebih'
    },
    tooltip: {
        pointFormat: '{series.name}: <b>{point.y}</b>'
    },
    accessibility: {
        point: {
            valueSuffix: '%'
        }
    },
    plotOptions: {
        pie: {
            allowPointSelect: true,
            cursor: 'pointer',
            dataLabels: {
                enabled: true,
                format: '<b>{point.name}</b>: {point.percentage:.1f} %'
            }
        }
    },
    series: [{
        name: 'Value',
        colorByPoint: true,
        data: <?=json_encode($data)?>
    }]
});
</script>