<?php
include '../conn.php';
$gizi_buruk = query('SELECT SUM(gizi_buruk) FROM data')[0]['SUM(gizi_buruk)'];
$gizi_kurang = query('SELECT SUM(gizi_kurang) FROM data')[0]['SUM(gizi_kurang)'];
$gizi_normal = query('SELECT SUM(gizi_normal) FROM data')[0]['SUM(gizi_normal)'];
$resiko_gizi_lebih = query('SELECT SUM(resiko_gizi_lebih) FROM data')[0]['SUM(resiko_gizi_lebih)'];
$gizi_lebih = query('SELECT SUM(gizi_lebih) FROM data')[0]['SUM(gizi_lebih)'];
$obesitas = query('SELECT SUM(obesitas) FROM data')[0]['SUM(obesitas)'];

?>


<div class="mdl-grid portfolio-max-width" style="min-height:500px;">
    <div class="mdl-cell mdl-cell--12-col mdl-card mdl-shadow--4dp">
        
        <figure class="highcharts-figure">
        <select name="" id="bbtb" style="float:right;">
            <option value="gizi">all</option>
            <option value="giziburuk">Gizi Buruk</option>
            <option value="gizikurang">Gizi Kurang</option>
            <option value="gizinormal">Gizi Normal</option>
            <option value="giziresiko">Resiko Gizi Lebih</option>
            <option value="gizilebih">Gizi Lebih</option>
            <option value="obesitas">Obesitas</option>
        </select><br>
            <div id="container"></div>
            <p class="highcharts-description">
                This pie chart shows how the chart legend can be used to provide
                information about the individual slices.
            </p>
        </figure>
    </div>
</div>

<script>
    $('#bbtb').on('change',function(){
        var data=$('#bbtb').val();
        $.ajax({
                'url': `gizi/${data}.php`
            }).done(sukses => {
                $('#container').html(sukses);
            })
    })
</script>

<script>

        
    
    // Build the chart
    Highcharts.chart('container', {
        chart: {
            plotBackgroundColor: null,
            plotBorderWidth: null,
            plotShadow: false,
            type: 'pie'
        },
        title: {
            text: 'BB/TB'
        },
        tooltip: {
            pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b><br>{point.y}'
        },
        accessibility: {
            point: {
                valueSuffix: '%'
            }
        },
        plotOptions: {
            pie: {
                allowPointSelect: true,
                cursor: 'pointer',
                dataLabels: {
                    enabled: false
                },
                showInLegend: true
            }
        },
        series: [{
            name: 'Brands',
            colorByPoint: true,
            data: [{
                name: 'Gizi Buruk',
                y: <?= $gizi_buruk ?>,
                sliced: true,
                selected: true
            }, {
                name: 'Gizi Kurang',
                y: <?= $gizi_kurang ?>
            }, {
                name: 'Gizi Normal',
                y: <?= $gizi_normal ?>
            }, {
                name: 'Resiko Gizi Lebih',
                y: <?= $resiko_gizi_lebih ?>
            }, {
                name: 'Gizi Lebih',
                y: <?= $gizi_lebih ?>
            }, {
                name: 'Obesitas',
                y: <?= $obesitas ?>
            }]
        }]
    });
</script>