<?php 
session_start();

if( !isset($_SESSION["login"]) ) {
	header("Location: login.php");
	exit;
}
?>
<!DOCTYPE html>

<!-- =========================================================
* Sneat - Bootstrap 5 HTML Admin Template - Pro | v1.0.0
==============================================================

* Product Page: https://themeselection.com/products/sneat-bootstrap-html-admin-template/
* Created by: ThemeSelection
* License: You must have a valid license purchased in order to legally use the theme for your project.
* Copyright ThemeSelection (https://themeselection.com)

=========================================================
 -->
<!-- beautify ignore:start -->
<html
  lang="en"
  class="light-style layout-menu-fixed"
  dir="ltr"
  data-theme="theme-default"
  data-assets-path="assets/"
  data-template="vertical-menu-template-free"
>
  <head>
    <meta charset="utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1.0, user-scalable=no, minimum-scale=1.0, maximum-scale=1.0"
    />

    <title>Dashboard - Analytics | Sneat - Bootstrap 5 HTML Admin Template - Pro</title>

    <meta name="description" content="" />

    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>

    <!-- Favicon -->
    <link rel="icon" type="image/x-icon" href="assets/img/favicon/favicon.ico" />

    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin />
    <link
      href="https://fonts.googleapis.com/css2?family=Public+Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700&display=swap"
      rel="stylesheet"
    />

    <!-- Icons. Uncomment required icon fonts -->
    <link rel="stylesheet" href="assets/vendor/fonts/boxicons.css" />

    <!-- Core CSS -->
    <link rel="stylesheet" href="assets/vendor/css/core.css" class="template-customizer-core-css" />
    <link rel="stylesheet" href="assets/vendor/css/theme-default.css" class="template-customizer-theme-css" />
    <link rel="stylesheet" href="assets/css/demo.css" />

    <!-- Vendors CSS -->
    <link rel="stylesheet" href="assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.css" />

    <link rel="stylesheet" href="assets/vendor/libs/apex-charts/apex-charts.css" />

    <!-- Awal copas Dari startup -->
    <!-- Icon Font Stylesheet -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.10.0/css/all.min.css" rel="stylesheet">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.4.1/font/bootstrap-icons.css" rel="stylesheet">

    <link href="startup/lib/animate/animate.min.css" rel="stylesheet">
    <!-- <link href="../startup/css/bootstrap.min.css" rel="stylesheet"> -->
    <link href="startup/css/style.css" rel="stylesheet">
    <!-- Akhir copas Dari startup -->

    <!-- Page CSS -->

    <!-- Helpers -->
    <script src="assets/vendor/js/helpers.js"></script>

    <!--! Template customizer & Theme config files MUST be included after core stylesheets and helpers.js in the <head> section -->
    <!--? Config:  Mandatory theme config file contain global vars & default theme options, Set your preferred theme option in this file.  -->
    <script src="assets/js/config.js"></script>

    <link rel="stylesheet" href="https://cdn.datatables.net/1.12.1/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/rowreorder/1.2.8/css/rowReorder.dataTables.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/responsive/2.3.0/css/responsive.dataTables.min.css">

    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css"
          integrity="sha512-xodZBNTC5n17Xt2atTPuE1HxjVMSvLVW9ocqUKLsCC5CXdbqCmblAshOMAS6/keqq/sMZMZ19scR4PsZChSR7A=="
          crossorigin=""/>
  </head>

  <body>
 

    <!-- Layout wrapper -->
    <div class="layout-wrapper layout-content-navbar">
      <div class="layout-container">
        <!-- Menu -->

     
        <!-- / Menu -->
          
        <!-- Layout container -->
        <div class="layout-page" style="padding-left: 0px !important;">
          <!-- Navbar -->

          <nav class="navbar navbar-expand-custom navbar-mainbg" style="height: 63px;">
            <a class="navbar-brand navbar-logo" href="#"><img style="margin-left: 50px;" height="45px"  src="assets/img/logo_garut.png" alt=""></a>
            <div class="text-box tebalhuruf" style="margin-left: -20px;">
                <span>Pemerintah Kabupaten</span><br>
                <span class="district">Garut</span>
            </div>
            <button class="navbar-toggler" type="button" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <i class="fas fa-bars text-white"></i>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav ml-auto" style="float: right; margin-left: auto; margin-right: 15px;">
                    <div class="hori-selector"><div class="left"></div><div class="right"></div></div>
                    <li class="nav-item active tebalhuruf" >
                        <a class="nav-link" href="javascript:void(0);" onclick="halaman('beranda')"><i class="fas fa-tachometer-alt" ></i>BERANDA</a>
                    </li>
                    <li class="nav-item tebalhuruf">
                        <a class="nav-link" href="javascript:void(0);" onclick="halaman('kependudukan')"><i class="far fa-address-book"></i>KEPENDUDUKAN</a>
                    </li>
                    <li class="nav-item tebalhuruf">
                        <a class="nav-link" href="javascript:void(0);" onclick="halaman('kesehatan')"><i class="far fa-clone"></i>KESEHATAN</a>
                    </li>
                </ul>
            </div>
        </nav>

        

          <!-- / Navbar -->

          <!-- Content wrapper -->
          <div class="content-wrapper" id="content" >
            <!-- Content -->
           
            <!-- / Content -->

           
            </div>

            <!-- Footer -->
 <!-- Footer Start -->
          
 <div class="blockfootup bg-dark text-light mt-5 wow fadeInUp" data-wow-delay="0.1s">
  <div class="container">
      <div class="row gx-5">
          <div class="col-lg-4 col-md-6 footer-about">
              <div class="blockfooter d-flex flex-column align-items-center justify-content-center text-center h-100 p-4" style="background-color: #0dcaf0; height: 220px !important; margin-top: 10px;">
                  <a href="index.html" class="navbar-brand">
                      <h1 class="m-0 text-white"></i>Keterangan</h1>
                  </a>
                  <p class="mt-3 mb-4" style="color: white;" >Lorem diam sit erat dolor elitr et, diam lorem justo amet clita stet eos sit. Elitr dolor duo lorem, elitr clita ipsum sea. Diam amet erat lorem stet eos. Diam amet et kasd eos duo.</p>
              </div>
          </div>
          <div class="col-lg-8 col-md-6">
              <div class="row gx-5">
                  <div class="col-lg-4 col-md-12 pt-5 mb-5">
                      <div class="section-title section-title-sm position-relative pb-3 mb-4">
                          <h3 class="text-light mb-0">Hubungi</h3>
                      </div>
                      <div class="d-flex mb-2">
                          <i class="bi bi-geo-alt text-primary me-2"></i>
                          <p class="mb-0">123 Street, New York, USA</p>
                      </div>
                      <div class="d-flex mb-2">
                          <i class="bi bi-envelope-open text-primary me-2"></i>
                          <p class="mb-0">info@example.com</p>
                      </div>
                      <div class="d-flex mb-2">
                          <i class="bi bi-telephone text-primary me-2"></i>
                          <p class="mb-0">+012 345 67890</p>
                      </div>
                  </div>
                  <div class="col-lg-4 col-md-12 pt-0 pt-lg-5 mb-5">
                      <div class="section-title section-title-sm position-relative pb-3 mb-4">
                          <h3 class="text-light mb-0">Quick Links</h3>
                      </div>
                      <div class="link-animated d-flex flex-column justify-content-start">
                          <a class="text-light mb-2" href="#"><i class="bi bi-arrow-right text-primary me-2"></i>Kab Garut</a>
                          <a class="text-light mb-2" href="#"><i class="bi bi-arrow-right text-primary me-2"></i>Bappeda</a>
                      </div>
                  </div>
              </div>
          </div>
      </div>
  </div>
</div>
<div class="blockfootbelow text-white" style="background: #061429; margin-top: 5px;">
  <div class="container text-center">
      <div class="row justify-content-end">
          <div class="col-lg-8 col-md-6">
              <div class="d-flex align-items-center justify-content-center" style="height: 75px;">
                  <p class="mb-0">&copy; <a class="text-white border-bottom" href="#">Your Site Name</a>. All Rights Reserved. 
      
      <!--/*** This template is free as long as you keep the footer author’s credit link/attribution link/backlink. If you'd like to use the template without the footer author’s credit link/attribution link/backlink, you can purchase the Credit Removal License from "https://htmlcodex.com/credit-removal". Thank you for your support. ***/-->
      Designed by <a class="text-white border-bottom" href="https://htmlcodex.com">HTML Codex</a></p>
                  <br>Distributed By: <a class="border-bottom" href="https://themewagon.com" target="_blank">ThemeWagon</a>
              </div>
          </div>
      </div>
  </div>
</div>
<!-- Footer End -->
            <!-- / Footer -->
<div class="content-backdrop fade"></div>
          </div>
          <!-- Content wrapper -->
        </div>
        <!-- / Layout page -->
      </div>

      <!-- Overlay -->
      <div class="layout-overlay layout-menu-toggle"></div>
    </div>
    
    <!-- / Layout wrapper -->

    <!-- JavaScript Libraries -->
    <script src="https://code.jquery.com/jquery-3.4.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0/dist/js/bootstrap.bundle.min.js"></script>
    <script src="startup/lib/wow/wow.min.js"></script>
    <script src="startup/lib/easing/easing.min.js"></script>
    <script src="startup/lib/waypoints/waypoints.min.js"></script>
    <script src="startup/lib/counterup/counterup.min.js"></script>
    <script src="startup/lib/owlcarousel/owl.carousel.min.js"></script>

    <!-- Template Javascript -->
    <script src="startup/js/main.js"></script>

    <!-- Core JS -->
    <!-- build:js assets/vendor/js/core.js -->
    <script src="assets/vendor/libs/jquery/jquery.js"></script>
    <script src="assets/vendor/libs/popper/popper.js"></script>
    <script src="assets/vendor/js/bootstrap.js"></script>
    <script src="assets/vendor/libs/perfect-scrollbar/perfect-scrollbar.js"></script>

    <script src="assets/vendor/js/menu.js"></script>
    <!-- endbuild -->

    <!-- Vendors JS -->
    

    <!-- Main JS -->
    <script src="assets/vendor/libs/apex-charts/apexcharts.js"></script>
            <script src="assets/js/main.js"></script>

    <!-- Place this tag in your head or just before your close body tag. -->
    <script async defer src="https://buttons.github.io/buttons.js"></script>


    <script src="https://code.highcharts.com/highcharts.js"></script>
    <script src="https://code.highcharts.com/modules/exporting.js"></script>
    <script src="https://code.highcharts.com/modules/export-data.js"></script>
    <script src="https://code.highcharts.com/modules/accessibility.js"></script>

    <script src="//cdn.datatables.net/1.12.1/js/jquery.dataTables.min.js"></script>
    
    <script src="https://cdn.datatables.net/rowreorder/1.2.8/js/dataTables.rowReorder.min.js"></script>
    <script src="https://cdn.datatables.net/responsive/2.3.0/js/dataTables.responsive.min.js"></script>


    <script src="https://unpkg.com/leaflet@1.7.1/dist/leaflet.js"
            integrity="sha512-XQoYMqMTK8LvdxXYG3nZ448hOEQiglfqkJs1NOQV44cWnUrBc8PkAOcXy20w0vlaXaVUearIOBhiXZ5V3ynxwA=="
            crossorigin=""></script>





    <script>
        $.ajax({
          'url':`beranda.php`
        }).done(sukses=>{
          $('#content').html(sukses)
        })
      // ---------Responsive-navbar-active-animation-----------
      function test(){
        var tabsNewAnim = $('#navbarSupportedContent');
        var selectorNewAnim = $('#navbarSupportedContent').find('li').length;
        var activeItemNewAnim = tabsNewAnim.find('.active');
        var activeWidthNewAnimHeight = activeItemNewAnim.innerHeight();
        var activeWidthNewAnimWidth = activeItemNewAnim.innerWidth();
        var itemPosNewAnimTop = activeItemNewAnim.position();
        var itemPosNewAnimLeft = activeItemNewAnim.position();
        $(".hori-selector").css({
          "top":itemPosNewAnimTop.top + "px",
          "left":itemPosNewAnimLeft.left + "px",
          "height": activeWidthNewAnimHeight + "px",
          "width": activeWidthNewAnimWidth + "px"
        });
        $("#navbarSupportedContent").on("click","li",function(e){
          $('#navbarSupportedContent ul li').removeClass("active");
          $(this).addClass('active');
          var activeWidthNewAnimHeight = $(this).innerHeight();
          var activeWidthNewAnimWidth = $(this).innerWidth();
          var itemPosNewAnimTop = $(this).position();
          var itemPosNewAnimLeft = $(this).position();
          $(".hori-selector").css({
            "top":itemPosNewAnimTop.top + "px",
            "left":itemPosNewAnimLeft.left + "px",
            "height": activeWidthNewAnimHeight + "px",
            "width": activeWidthNewAnimWidth + "px"
          });
        });
      }
      $(document).ready(function(){
        setTimeout(function(){ test(); });
      });
      $(window).on('resize', function(){
        setTimeout(function(){ test(); }, 500);
      });
      $(".navbar-toggler").click(function(){
        $(".navbar-collapse").slideToggle(300);
        setTimeout(function(){ test(); });
      });
    
    
    
      // --------------add active class-on another-page move----------
      jQuery(document).ready(function($){
        // Get current path and find target link
        var path = window.location.pathname.split("/").pop();
    
        // Account for home page with empty path
        if ( path == '' ) {
          path = 'Navbar.html';
        }
    
        var target = $('#navbarSupportedContent ul li a[href="'+path+'"]');
        // Add active class to target link
        target.parent().addClass('active');
      });
    
    
      function halaman(e) {
        $.ajax({
          'url':`${e}.php`
        }).done(sukses=>{
          $('#content').html(sukses)
        })
      }

    
    
    //   Add active class on another page linked
    //   ==========================================
    //   $(window).on('load',function () {
    //       var current = location.pathname;
    //       console.log(current);
    //       $('#navbarSupportedContent ul li a').each(function(){
    //           var $this = $(this);
    //           // if the current path is like this link, make it active
    //           if($this.attr('href').indexOf(current) !== -1){
    //               $this.parent().addClass('active');
    //               $this.parents('.menu-submenu').addClass('show-dropdown');
    //               $this.parents('.menu-submenu').parent().addClass('active');
    //           }else{
    //               $this.parent().removeClass('active');
    //           }
    //       })
    //   });
    </script>
    




    <style>
        @import url('https://fonts.googleapis.com/css?family=Roboto');
    
        body{
            font-family: 'Roboto', sans-serif;
        }
        * {
            margin: 0;
            padding: 0;
        }
        i {
            margin-right: 10px;
        }
        /*----------bootstrap-navbar-css------------*/
        .navbar-logo{
            padding: 15px;
            color: #fff;
        }
    
        .tebalhuruf {
            font-weight: bolder; 
            color: #fff
    
        }
    
        .navbar-mainbg{
            background-color: #0dcaf0;
            padding: 0px;
        }
        #navbarSupportedContent{
            overflow: hidden;
            position: relative;
        }
        #navbarSupportedContent ul{
            padding: 0px;
            margin: 0px;
        }
        #navbarSupportedContent ul li a i{
            margin-right: 10px;
        }
        #navbarSupportedContent li {
            list-style-type: none;
            float: left;
        }
        #navbarSupportedContent ul li a{
            color: white;
            text-decoration: none;
            font-size: 15px;
            display: block;
            padding: 20px 20px;
            transition-duration:0.6s;
            transition-timing-function: cubic-bezier(0.68, -0.55, 0.265, 1.55);
            position: relative;
        }
        #navbarSupportedContent>ul>li.active>a{
            color: #0dcaf0;
            background-color: transparent;
            transition: all 0.7s;
        }
        #navbarSupportedContent a:not(:only-child):after {
            content: "\f105";
            position: absolute;
            right: 20px;
            top: 10px;
            font-size: 14px;
            font-family: "Font Awesome 5 Free";
            display: inline-block;
            padding-right: 3px;
            vertical-align: middle;
            font-weight: 900;
            transition: 0.5s;
        }
        #navbarSupportedContent .active>a:not(:only-child):after {
            transform: rotate(90deg);
        }
        .hori-selector{
            display:inline-block;
            position:absolute;
            height: 100%;
            top: 0px;
            left: 0px;
            transition-duration:0.6s;
            transition-timing-function: cubic-bezier(0.68, -0.55, 0.265, 1.55);
            background-color: #fff;
            border-top-left-radius: 15px;
            border-top-right-radius: 15px;
            margin-top: 10px;
        }
        .hori-selector .right,
        .hori-selector .left{
            position: absolute;
            width: 25px;
            height: 25px;
            background-color: #fff;
            bottom: 10px;
        }
        .hori-selector .right{
            right: -25px;
        }
        .hori-selector .left{
            left: -25px;
        }
        .hori-selector .right:before,
        .hori-selector .left:before{
            content: '';
            position: absolute;
            width: 50px;
            height: 50px;
            border-radius: 50%;
            background-color: #0dcaf0;
        }
        .hori-selector .right:before{
            bottom: 0;
            right: -25px;
        }
        .hori-selector .left:before{
            bottom: 0;
            left: -25px;
        }
        .blockfooter{
          border-radius: 1.5rem;
        }
        .blockfootup{
          border-radius: 1.0rem;
        }
        .blockfootbelow{
          border-radius: 1.0rem;
        }
        
    
        @media(min-width: 992px){
            .navbar-expand-custom {
                -ms-flex-flow: row nowrap;
                flex-flow: row nowrap;
                -ms-flex-pack: start;
                justify-content: flex-start;
            }
            .navbar-expand-custom .navbar-nav {
                -ms-flex-direction: row;
                flex-direction: row;
            }
            .navbar-expand-custom .navbar-toggler {
                display: none;
            }
            .navbar-expand-custom .navbar-collapse {
                display: -ms-flexbox!important;
                display: flex!important;
                -ms-flex-preferred-size: auto;
                flex-basis: auto;
            }
        }
    
    
        @media (max-width: 991px){
            #navbarSupportedContent ul li a{
                padding: 12px 30px;
            }
            .hori-selector{
                margin-top: 0px;
                margin-left: 10px;
                border-radius: 0;
                border-top-left-radius: 25px;
                border-bottom-left-radius: 25px;
            }
            .hori-selector .left,
            .hori-selector .right{
                right: 10px;
            }
            .hori-selector .left{
                top: -25px;
                left: auto;
            }
            .hori-selector .right{
                bottom: -25px;
            }
            .hori-selector .left:before{
                left: -25px;
                top: -25px;
            }
            .hori-selector .right:before{
                bottom: -25px;
                left: -25px;
            }
        }
    </style>
  </body>
</html>