<?php
include '../conn.php';

$tb_sangat_pendek=query('SELECT SUM(tb_sangat_pendek) FROM data')[0]['SUM(tb_sangat_pendek)'];
$tb_pendek=query('SELECT SUM(tb_pendek) FROM data')[0]['SUM(tb_pendek)'];
$tb_normal=query('SELECT SUM(tb_normal) FROM data')[0]['SUM(tb_normal)'];
$tb_tinggi=query('SELECT SUM(tb_tinggi) FROM data')[0]['SUM(tb_tinggi)'];

?>
<div class="mdl-grid portfolio-max-width" style="min-height:500px;">
<div class="mdl-cell mdl-cell--12-col mdl-card mdl-shadow--4dp">
<figure class="highcharts-figure">
        <select name="" id="tb" style="float:right;">
            <option value="tinggi">all</option>
            <option value="sangatpendek">Sangat Pendek</option>
            <option value="pendek">Pendek</option>
            <option value="normal">Normal</option>
            <option value="dtinggi">Tinggi</option>
        </select><br>
    <div id="container"></div>
    <p class="highcharts-description">
        This pie chart shows how the chart legend can be used to provide
        information about the individual slices.
    </p>
</figure>
</div>
</div>

<script>

$('#tb').on('change',function(){
        var data=$('#tb').val();
        $.ajax({
                'url': `tinggi/${data}.php`
            }).done(sukses => {
                $('#container').html(sukses);
            })
    })

    // Build the chart
Highcharts.chart('container', {
    chart: {
        plotBackgroundColor: null,
        plotBorderWidth: null,
        plotShadow: false,
        type: 'pie'
    },
    title: {
        text: 'Tinggi Badan'
    },
    tooltip: {
        pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
    },
    accessibility: {
        point: {
            valueSuffix: '%'
        }
    },
    plotOptions: {
        pie: {
            allowPointSelect: true,
            cursor: 'pointer',
            dataLabels: {
                enabled: false
            },
            showInLegend: true
        }
    },
    series: [{
        name: 'Brands',
        colorByPoint: true,
        data: [{
            name: 'Sangat Pendek',
            y: <?=$tb_sangat_pendek?>,
            sliced: true,
            selected: true
        }, {
            name: 'Pendek',
            y: <?=$tb_pendek?>
        }, {
            name: 'Normal',
            y: <?=$tb_normal?>
        }, {
            name: 'Tinggi',
            y: <?=$tb_tinggi?>
        }]
    }]
});
</script>